<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>


	<ItemGroup>
		<PackageReference Include="AspNetCoreRateLimit" Version="5.0.0" />
		<PackageReference Include="AspNetCoreRateLimit.Redis" Version="2.0.0" />
		<PackageReference Include="Autofac.Extras.Quartz" Version="9.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
		<PackageReference Include="Quartz" Version="3.7.0" />
	</ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocuMed.Repository\DocuMed.Repository.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="BaseServices\Abstracts\" />
    <Folder Include="CoreServices\Abstracts\" />
    <Folder Include="EntityServices\Abstracts\" />
    <Folder Include="Models\Api\" />
    <Folder Include="Abstracts\" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="DocuMed.Common.Extensions" />
    <Using Include="DocuMed.Common.Models" />
    <Using Include="DocuMed.Common.Models.Api" />
    <Using Include="DocuMed.Common.Models.Claims" />
    <Using Include="DocuMed.Common.Models.Exception" />
    <Using Include="DocuMed.Core.Abstracts" />
    <Using Include="DocuMed.Core.BaseServices.Abstracts" />
    <Using Include="DocuMed.Core.CoreServices.Abstracts" />
    <Using Include="DocuMed.Core.EntityServices.Abstracts" />
    <Using Include="DocuMed.Domain.Dtos.RequestDtos" />
    <Using Include="DocuMed.Domain.Dtos.SmallDtos" />
    <Using Include="DocuMed.Domain.Entities.User" />
    <Using Include="DocuMed.Domain.Enums" />
    <Using Include="DocuMed.Domain.Mappers" />
    <Using Include="DocuMed.Repository.Abstracts" />
    <Using Include="DocuMed.Repository.Repositories.Base.Contracts" />
    <Using Include="Mapster" />
    <Using Include="Microsoft.AspNetCore.Identity" />
    <Using Include="Microsoft.AspNetCore.Mvc" />
    <Using Include="Microsoft.EntityFrameworkCore" />
    <Using Include="Microsoft.IdentityModel.Tokens" />
    <Using Include="Newtonsoft.Json" />
    <Using Include="System.Security.Claims" />
  </ItemGroup>

</Project>
